Respond to an email onboarding information request

Allows organization owners and admins to submit a text response and up to three evidence uploads for the current information request.

POST
/v1/email/onboarding-review/respond

Allows organization owners and admins to submit a text response and up to three evidence uploads for the current information request.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
expectedGeneration*integer
Range0 < value <= 9007199254740991
responseText*string
Length1 <= length <= 4000
evidenceMediaIds*array<>
Itemsitems <= 3

Response Body

OnboardingReviewStatus

application/json
  1. response
decision*string
Value in"undecided""approved""rejected"
trustTier*string
Value in"screened""probation""established"
stage*string
Value in"collecting""automated_review""manual_review""information_requested""complete"
generation*integer
Range-9007199254740991 <= value <= 9007199254740991
canSend*boolean
code*|null
nextAction*|null
canReapply*boolean
informationRequest*|null
identities*array<>
updatedAt*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.respondToOnboardingInformationRequest({  "expectedGeneration": 1,  "responseText": "example",  "evidenceMediaIds": [    "example"  ]});
Example Response
{  "decision": "undecided",  "trustTier": "screened",  "stage": "collecting",  "generation": -9007199254740991,  "canSend": true,  "code": "review_required",  "nextAction": "wait_for_review",  "canReapply": true,  "informationRequest": {    "id": "string",    "requestedFields": [      "string"    ],    "requestedAt": "string",    "canRespond": true  },  "identities": [    {      "identityId": "string",      "decision": "undecided",      "generation": -9007199254740991,      "canSend": true,      "code": "review_required",      "nextAction": "wait_for_review",      "updatedAt": "string"    }  ],  "updatedAt": "string"}

Related documentation